<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tllate WHERE ftlate_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Terlambat sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
	
	if($_REQUEST['id']=='0') {           
            $strAutoNumber0="document.getElementById('fdlate_from').value='00:00:00';
							document.getElementById('fdlate_to').value='00:00:00';
							document.getElementById('fnlate_formula').value='0';
								 ";
            $objAxpDB->FormJS($strAutoNumber0);
     }
	 
    
   $objAxpDB->ViewName("Daftar Terlambat");
   $objAxpDB->ViewTable("vHRTerlambat");
    $objAxpDB->ViewSQL("select 	fnid, ftlate_code, fdlate_from, fdlate_to, fnlate_formula from tllate");
    $objAxpDB->ViewCaption("ID,  Kode Terlambat, Periode Terlambat Awal, Periode Terlambat Akhir, Formula");

    $objAxpDB->FormName("Terlambat");
    $objAxpDB->FormSQL("select  ftlate_code, fdlate_from, fdlate_to, fnlate_formula from tllate");
    $objAxpDB->FormCaption(" Kode Terlambat, Periode Terlambat Awal, Periode Terlambat Akhir, Formula");
    $objAxpDB->FormPosition(" TL, TL, TL, TL");
//    $objAxpDB->FormScript(1, "onKeyUp=\"FormatNPWP(this)\"");

    $objAxpDB->Lookup("fnStatus", "select fntrans_status_code, fttrans_status_name from tstransaction_status where fntrans_group_code = 9", "fntrans_status_code", "fttrans_status_name", 1, True);

    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru,cetak_daftar, export_excel ,  tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked(" 0, 0");
            $objAxpDB->ButtonShow("reset, simpan, tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->FormLocked(" 1, 0");
            $objAxpDB->ButtonShow("update, hapus, tutup");
    }
    $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
